<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { linkify } from '@/lib/utils';
import Embedded from '@/components/general/Embedded.vue';
import Comment from '@/components/pdf/Comment.vue';

const props = defineProps<{
    post:any,
    comments:boolean
}>();


const escapeToHTML = (text:string) => {       
    if(text!==null && text!==undefined && text.length>0)           
        return linkify(text.replace(/\n/g, "<br>"));
    else
        return text;
};

const removeColors = (text:string)=>{
    if(text){
        return text.replace(/<mark >/g,'<span ').replace(/<\/mark >/g,'</span>').replace(/(style=".+?")/gm,'');
    }else{
        return text;
    }
};

</script>
<template>
    <div class="p-4">
        <b class="export-column-header">{{ post.title.headline }}</b>
        <p v-html="escapeToHTML(removeColors(post.title.post))" v-if="post.body===null || post.body===undefined"></p>
        <Embedded :isExport="true" :key="post.title.post" :body="post.body" :url="post.title.post" :info="post.info" v-if="post.body!==null && post.title.post && post.title.post.length>0"/>
        <div class="my-4 w-full h-2 border-b border-black text-center align-middle leading-2" v-if="post.comments && post.comments.length>0 && comments">
            <span class="bg-white px-2.5">{{$t('general.variables.comment.pl')}}</span>
        </div>
        <div class="text-right mt-4" v-if="post.comments && post.comments.length>0 && comments">
            <div class="flex flex-col gap-4 ml-auto" style="width:70%;margin-left:auto">
                <Comment :comments="post.comments"/>
            </div>
        </div>
    </div>  
</template>